MuldeR's Utilities for Qt MUtilities

Public Attributes | List of all members
MUtils::CPUFetaures::_cpu_info_t Struct Reference

Struct to hold information about the CPU. See `_cpu_info_t` for details! More...

`#include <CPUFeatures.h>`

## Public Attributes
quint32 | family
| CPU family indicator, which specifies the processor "generation" to which the CPU belongs.
quint32 | model
| CPU model indicator, which is used to distinguish processor "variants" within a generation.
quint32 | stepping
| CPU stepping indicator, which is used to distinguish "revisions" of a certain processor model.
quint32 | count
| The number of available (logical) processors.
quint32 | features
| CPU feature flags, indicating suppoprt for extended instruction sets; all flags are OR-combined.
bool | x64
| Indicates that the processor and the operating system support 64-Bit (AMD64/EM64T)
quint8 | vendor
| CPU vendor flag; might be zero, if vendor is unknown.
char | idstr [13]
| CPU identifier string, exactly 12 characters (e.g. "GenuineIntel" or "AuthenticAMD")
char | brand [48]
| CPU brand string, up to 48 characters (e.g. "Intel(R) Core(TM) i7-6700K CPU @ 4.00GHz")

## Detailed Description

Struct to hold information about the CPU. See `_cpu_info_t` for details!

The documentation for this struct was generated from the following file:

- include/MUtils/CPUFeatures.h